[messages] [Technical Support & Bugs] Missing card and counter text

Joel Uckelman uckelman at nomic.net
Mon Feb 18 04:43:38 MST 2013


Thus spake gdaudin:
> Hi,
> 
> I managed to uninstall all Java versions, and then re-install Java 1.7. 
> 
> However, when I then try to open Vassal, I get a message telling me that
> I need to install Java SE 6 to get started.
>

According to this:

  http://docs.oracle.com/javase/7/docs/webnotes/install/mac/mac-jre.html

the JRE 7 installer doesn't create proper symlinks for the java binary.
I have no idea why Oracle thinks it's acceptible for the installer to
behave that way, since it leaves you with exactly this problem. They're
essentially saying "our installer doesn't finish doing its job".

What's the output now when you run each of the following: 

  which java

  java -version

  ls -l /System/Library/Frameworks/JavaVM.framework/Versions

-- 
J.


More information about the messages mailing list